org.apache.ignite.internal

## Class IgniteNeedReconnectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.IgniteNeedReconnectException

All Implemented Interfaces:
  Serializable

    public class IgniteNeedReconnectException
    extends IgniteCheckedException

Indicates that node should try reconnect to cluster.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteNeedReconnectException(ClusterNode locNode, Throwable cause)`

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteNeedReconnectException

    public IgniteNeedReconnectException(ClusterNode locNode,
                                @Nullable
                                Throwable cause)

Parameters:
  `locNode` - Local node.
  `cause` - Cause.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017